Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #493 (new defect)

Opened 14 years ago

Last modified 13 years ago

Unable to handle kernel paging request for madwifi-ng on sparc64 smp

Reported by: seb@frankengul.org Assigned to:
Priority: major Milestone: version 0.9.x - progressive release candidate phase
Component: madwifi: HAL Version: trunk
Keywords: sparc64 smp netgear vpn311 Cc:
Patch is attached: 0 Pending:

Description

I plugged a VPN311 card on my Sun Ultra 60 2x. An ran a kernel 2.6.16 with the latest mad_wifi (rev. 1484) yesterday. It resulted in a ooops at the modules insertion. Here is the dmesg output:


PROMLIB: Sun IEEE Boot Prom 3.11.26 1998/04/15 14:52
Linux version 2.6.16-smp (seb@calypso) (version gcc 4.0.3 (Debian 4.0.3-1)) #1 SMP Fri Mar 24 00:01:40 CET 2006
ARCH: SUN4U
Ethernet address: 08:00:20:9a:b3:2e
On node 0 totalpages: 195547
  DMA zone: 195547 pages, LIFO batch:15
  DMA32 zone: 0 pages, LIFO batch:0
  Normal zone: 0 pages, LIFO batch:0
  HighMem zone: 0 pages, LIFO batch:0
Built 1 zonelists
Kernel command line: root=/dev/mapper/syscalypso-root
PID hash table entries: 4096 (order: 12, 131072 bytes)
Console: colour dummy device 80x25
Dentry cache hash table entries: 262144 (order: 8, 2097152 bytes)
Inode-cache hash table entries: 131072 (order: 7, 1048576 bytes)
Memory: 1539792k available (2864k kernel code, 968k data, 208k init) [fffff80000000000,00000000aff2e000]
Calibrating delay loop... 589.82 BogoMIPS (lpj=1179648)
Security Framework v1.0.0 initialized
Capability LSM initialized
Mount-cache hash table entries: 512
CPU[0]: Caches D[sz(16384):line_sz(32)] I[sz(16384):line_sz(32)] E[sz(2097152):line_sz(64)]
Calibrating delay loop... 589.82 BogoMIPS (lpj=1179648)
CPU[2]: Caches D[sz(16384):line_sz(32)] I[sz(16384):line_sz(32)] E[sz(2097152):line_sz(64)]
CPU 2: synchronized TICK with master CPU (last diff 0 cycles,maxerr 446 cycles)
Brought up 2 CPUs
Total of 2 processors activated (1179.64 BogoMIPS).
migration_cost=28595
checking if image is initramfs... it is
Freeing initrd memory: 3101k freed
NET: Registered protocol family 16
PCI: Probing for controllers.
PCI: Found PSYCHO, control regs at 000001fe00000000
PSYCHO: Shared PCI config space at 000001fe01000000
PCI-IRQ: Routing bus[ 0] slot[ 1] map[0] to INO[21]
PCI-IRQ: Routing bus[ 0] slot[ 3] map[0] to INO[20]
PCI-IRQ: Routing bus[ 0] slot[ 3] map[0] to INO[26]
PCI-IRQ: Routing bus[ 0] slot[ 4] map[0] to INO[18]
PCI0(PBMB): Bus running at 33MHz
PCI-IRQ: Routing bus[80] slot[ 1] map[0] to INO[00]
PCI0(PBMA): Bus running at 66MHz
ebus0: [auxio] [power] [SUNW,pll] [sc] [se] [su] [su] [ecpp] [fdthree] [eeprom] [flashprom] [SUNW,CS4231]
power: Control reg at 000001fff1724000 ... not using powerd.
SCSI subsystem initialized
TC classifier action (bugs to netdev@vger.kernel.org cc hadi@cyberus.ca)
audit: initializing netlink socket (disabled)
audit(1143158455.200:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 8192 bytes)
NTFS driver 2.1.26 [Flags: R/O].
Initializing Cryptographic API
io scheduler noop registered
io scheduler anticipatory registered (default)
io scheduler deadline registered
io scheduler cfq registered
Console: switching to colour frame buffer device 144x56
ffb: FFB at 000001fa00000000 type 51 DAC 10
rtc_init: no PC rtc found
[drm] Initialized drm 1.0.1 20051102
su0 at 0x000001fff13062f8 (irq = 4,7ea) is a 16550A
su1 at 0x000001fff13083f8 (irq = 9,7e9) is a 16550A
isa bounce pool size: 16 pages
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
loop: loaded (max 8 devices)
sunhme.c:v2.02 8/24/03 David S. Miller (davem@redhat.com)
eth0: HAPPY MEAL (PCI/CheerIO) 10/100BaseT Ethernet 08:00:20:9a:b3:2e
rtc_sun_init: Registered Mostek RTC driver.
mice: PS/2 mouse device common for all mice
NET: Registered protocol family 2
IP route cache hash table entries: 65536 (order: 6, 524288 bytes)
TCP established hash table entries: 262144 (order: 9, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 7, 1048576 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
NET: Registered protocol family 1
NET: Registered protocol family 17
sym0: <875> rev 0x14 at pci 0001:00:03.0 irq 4,7e0
sym0: No NVRAM, ID 7, Fast-20, SE, parity checking
sym0: SCSI BUS has been reset.
scsi0 : sym-2.2.2
  Vendor: MAXTOR    Model: ATLAS10K4_73SCA   Rev: DFM0
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:0: tagged command queuing enabled, command queue depth 16.
 target0:0:0: Beginning Domain Validation
 target0:0:0: asynchronous
 target0:0:0: wide asynchronous
 target0:0:0: FAST-20 WIDE SCSI 40.0 MB/s ST (50 ns, offset 16)
 target0:0:0: Domain Validation skipping write tests
 target0:0:0: Ending Domain Validation
  Vendor: MAXTOR    Model: ATLAS10K4_73SCA   Rev: DFM0
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:1: tagged command queuing enabled, command queue depth 16.
 target0:0:1: Beginning Domain Validation
 target0:0:1: asynchronous
 target0:0:1: wide asynchronous
 target0:0:1: FAST-20 WIDE SCSI 40.0 MB/s ST (50 ns, offset 16)
 target0:0:1: Domain Validation skipping write tests
 target0:0:1: Ending Domain Validation
  Vendor: TOSHIBA   Model: XM6201TASUN32XCD  Rev: 1103
  Type:   CD-ROM                             ANSI SCSI revision: 02
 target0:0:6: Beginning Domain Validation
 target0:0:6: asynchronous
 target0:0:6: FAST-10 SCSI 10.0 MB/s ST (100 ns, offset 16)
 target0:0:6: Domain Validation skipping write tests
 target0:0:6: Ending Domain Validation
sym1: <875> rev 0x14 at pci 0001:00:03.1 irq 4,7e6
sym1: No NVRAM, ID 7, Fast-20, SE, parity checking
sym1: SCSI BUS has been reset.
scsi1 : sym-2.2.2
SCSI device sda: 143374650 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
sda: Mode Sense: ed 00 10 08
SCSI device sda: drive cache: write through w/ FUA
SCSI device sda: 143374650 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
sda: Mode Sense: ed 00 10 08
SCSI device sda: drive cache: write through w/ FUA
 sda: sda1 sda2 sda3
sd 0:0:0:0: Attached scsi disk sda
SCSI device sdb: 143374650 512-byte hdwr sectors (73408 MB)
sdb: Write Protect is off
sdb: Mode Sense: ed 00 10 08
SCSI device sdb: drive cache: write through w/ FUA
SCSI device sdb: 143374650 512-byte hdwr sectors (73408 MB)
sdb: Write Protect is off
sdb: Mode Sense: ed 00 10 08
SCSI device sdb: drive cache: write through w/ FUA
 sdb: sdb1 sdb2 sdb3
sd 0:0:1:0: Attached scsi disk sdb
Buffer I/O error on device sdb2, logical block 35808000
Buffer I/O error on device sdb2, logical block 35808001
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
SGI XFS Quota Management subsystem
XFS mounting filesystem dm-4
Ending clean XFS mount for filesystem: dm-4
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOPS_FUNC)
wlan: 0.8.4.2 (svn 1484)
input: Sun Mouse as /class/input/input0
ath_rate_sample: 1.2 (svn 1484)
ath_pci: 0.9.4.5 (svn 1484)
Unable to handle kernel paging request at virtual address 0000000080024000
tsk->{mm,active_mm}->context = 000000000000009f
tsk->{mm,active_mm}->pgd = fffff800afb1c000
              \|/ ____ \|/
              "@'/ .. \`@"
              /_| \__/ |_\
                 \__U_/
modprobe(3262): Oops [#1]
TSTATE: 0000000911009601 TPC: 00000000100c015c TNPC: 00000000100c0160 Y: 00000000    Tainted: P
TPC: <ath_hal_reg_read+0x1c/0x80 [ath_hal]>
g0: fffff800ae92e981 g1: 000001ff80020000 g2: 0000000000004004 g3: fffffffffffffff8
g4: fffff800afa1ae20 g5: fffff80000b64000 g6: fffff800ae92c000 g7: 0000000000000000
o0: fffff800a0bb0000 o1: 0000000000004004 o2: 0000000000000000 o3: fffff800a0bb0000
o4: 0000000000000000 o5: 0000000000000001 sp: fffff800ae92e9b1 ret_pc: 00000000100d514c
RPC: <zz016d9d41+0x44/0x1f4 [ath_hal]>
l0: 0000000000400400 l1: fffff800ae92f46c l2: fffff800afa2ef40 l3: 0000000000000000
l4: fffff800afd5b828 l5: 0000000000000000 l6: 0000000000845000 l7: 0000000000000000
i0: fffff800a0bb0000 i1: 0000000000000001 i2: 0000000000000000 i3: fffff80090ac949c
i4: fffff800a0bb2a84 i5: 0000000000000000 i6: fffff800ae92eb41 i7: 00000000100d5334
I7: <zz016e1251+0x38/0x80 [ath_hal]>
Caller[00000000100d5334]: zz016e1251+0x38/0x80 [ath_hal]
Caller[00000000100d1804]: zz0005b6b2+0x34/0x808 [ath_hal]
Caller[00000000100c07c8]: ath_hal_attach+0x10c/0x198 [ath_hal]
Caller[00000000100c0374]: _ath_hal_attach+0x14/0x80 [ath_hal]
Caller[000000001014e350]: ath_attach+0x1b0/0x19a0 [ath_pci]
Caller[0000000010159a1c]: ath_pci_probe+0x25c/0x320 [ath_pci]
Caller[00000000005bb33c]: pci_device_probe+0x5c/0xa0
Caller[0000000000602c60]: driver_probe_device+0x40/0xe0
Caller[0000000000602d60]: __driver_attach+0x60/0x80
Caller[0000000000601fdc]: bus_for_each_dev+0x3c/0x80
Caller[00000000006024c8]: bus_add_driver+0x68/0x140
Caller[00000000005bada0]: __pci_register_driver+0x60/0xc0
Caller[000000001016802c]: init_ath_pci+0x2c/0x80 [ath_pci]
Caller[0000000000465040]: sys_init_module+0xa0/0x1e0
Caller[0000000000407214]: linux_sparc_syscall32+0x34/0x40
Caller[00000000000134ac]: 0x134ac
Instruction DUMP: 18480012  85326000  c25a2020 <c4004002> c423a8bb  c20ba8bc  c60ba8bb  ce0ba8bd  83286008
TSTATE: 0000000080f09606 TPC: 00000000005c6f48 TNPC: 00000000005c6f4c Y: 00000000    Tainted: P
TPC: <bit_putcs+0x2a8/0x560>
g0: f38454dca12d86b2 g1: 0000000000000460 g2: fffff800afd26415 g3: 0000000000000000
g4: fffff800afee2060 g5: fffff80000b54000 g6: fffff800a0a58000 g7: 0000000000000000
o0: fffff800afd26410 o1: 0000000000000000 o2: 00000000006db278 o3: 0000000000000006
o4: 0000000000000010 o5: 0000000000000006 sp: fffff800a0a5ac41 ret_pc: 00000000005c6e14
RPC: <bit_putcs+0x174/0x560>
l0: 0000000000000005 l1: 0000000000000007 l2: 0000000000000000 l3: 0000000000000000
l4: 0000000000000007 l5: 0000000000000001 l6: 00000000000000ff l7: 0000000000000000
i0: fffff8000146c000 i1: 0000000000000001 i2: 0000000000000001 i3: 0000000000000010
i4: fffff800afe8db0c i5: fffff800afd26415 i6: fffff800a0a5adc1 i7: 00000000005c292c
I7: <fbcon_putcs+0x1ac/0x2e0>
sr0: scsi-1 drive
Uniform CD-ROM driver Revision: 3.20
sr 0:0:6:0: Attached scsi CD-ROM sr0
input: Sun Type 5 keyboard as /class/input/input1
printk: 14 messages suppressed.
Buffer I/O error on device sdb3, logical block 17935056
Buffer I/O error on device sdb3, logical block 17935057
Buffer I/O error on device sdb3, logical block 17935056
Buffer I/O error on device sdb3, logical block 17935057
CSLIP: code copyright 1989 Regents of the University of California
PPP generic driver version 2.4.2
NET: Registered protocol family 24
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
XFS mounting filesystem dm-2
Ending clean XFS mount for filesystem: dm-2
XFS mounting filesystem dm-3
Ending clean XFS mount for filesystem: dm-3


Change History

03/24/06 11:13:59 changed by mrenzmann

Can you please describe the exact steps that led to this oops? Is it fully reproducible, or did/does it happen spontaneously?

03/24/06 11:26:17 changed by anonymous

As shown by the dmesg, the oops occured at startup when discovering the hardware and inserting the corresponding driver.

I just rebooted the machine to 2.6.16 and got the ooops while starting up.

04/07/06 12:53:20 changed by seb@frankengul.org

Tried svn r1497 on a kernel 2.6.16.1-smp-sparc64. I booted the kernel a did a modprobe ath_pci after a clean install.

Same problem, instant oops but does not kills the machine. ath_pci is now unremovable from the kernel.

Here is the dump.

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOPS_FUNC)
wlan: 0.8.4.2 (svn 1497)
ath_rate_sample: 1.2 (svn 1497)
ath_pci: 0.9.4.5 (svn 1497)
Unable to handle kernel paging request at virtual address 0000000080024000
tsk->{mm,active_mm}->context = 0000000000000250
tsk->{mm,active_mm}->pgd = fffff8008bada000
              \|/ ____ \|/
              "@'/ .. \`@"
              /_| \__/ |_\
                 \__U_/
modprobe(2472): Oops [#1]
TSTATE: 0000000911009606 TPC: 000000001030615c TNPC: 0000000010306160 Y: 00000000    Tainted: P
TPC: <ath_hal_reg_read+0x1c/0x80 [ath_hal]>
g0: 0000000000000000 g1: 000001ff80020000 g2: 0000000000004004 g3: fffffffffffffff8
g4: fffff800a83f41a0 g5: fffff80000b64000 g6: fffff80032bac000 g7: 0000000000000000
o0: fffff80085430000 o1: 0000000000004004 o2: 0000000000000000 o3: fffff80085430000
o4: 0000000000000000 o5: 0000000000000001 sp: fffff80032bae9b1 ret_pc: 000000001031b14c
RPC: <zz016d9d41+0x44/0x1f4 [ath_hal]>
l0: 0000000000400400 l1: fffff80032baf46c l2: fffff800afa30f40 l3: 0000000000000000
l4: fffff8002cddf028 l5: 0000000000000000 l6: 0000000000845000 l7: 0000000000000000
i0: fffff80085430000 i1: 0000000000000001 i2: 0000000000000000 i3: fffff8007510349c
i4: fffff80085432a84 i5: 0000000000000000 i6: fffff80032baeb41 i7: 000000001031b334
I7: <zz016e1251+0x38/0x80 [ath_hal]>
Caller[000000001031b334]: zz016e1251+0x38/0x80 [ath_hal]
Caller[0000000010317804]: zz0005b6b2+0x34/0x808 [ath_hal]
Caller[00000000103067c8]: ath_hal_attach+0x10c/0x198 [ath_hal]
Caller[0000000010306374]: _ath_hal_attach+0x14/0x80 [ath_hal]
Caller[00000000103883b0]: ath_attach+0x1b0/0x1980 [ath_pci]
Caller[0000000010393a24]: ath_pci_probe+0x264/0x320 [ath_pci]
Caller[00000000005bb37c]: pci_device_probe+0x5c/0xa0
Caller[0000000000602ca0]: driver_probe_device+0x40/0xe0
Caller[0000000000602da0]: __driver_attach+0x60/0x80
Caller[000000000060201c]: bus_for_each_dev+0x3c/0x80
Caller[0000000000602508]: bus_add_driver+0x68/0x140
Caller[00000000005bade0]: __pci_register_driver+0x60/0xc0
Caller[00000000103a202c]: init_ath_pci+0x2c/0x80 [ath_pci]
Caller[0000000000465060]: sys_init_module+0xa0/0x1e0
Caller[0000000000407214]: linux_sparc_syscall32+0x34/0x40
Caller[00000000000134ac]: 0x134ac
Instruction DUMP: 18480012  85326000  c25a2020 <c4004002> c423a8bb  c20ba8bc  c60ba8bb  ce0ba8bd  83286008
TSTATE: 0000000080f09603 TPC: 00000000006cc114 TNPC: 00000000006cc118 Y: 00000000    Tainted: P
TPC: <schedule+0x134/0x960>
g0: fffff800ac817260 g1: 0000000000000000 g2: 00000000003d0900 g3: 0000000000000000
g4: 000000000074b780 g5: fffff80000b54000 g6: 000000000074cc40 g7: fffff8000134e0b8
o0: fffff8000134d768 o1: 0000000000000000 o2: 0000000000000000 o3: 0000000000000020
o4: 000000000074cc40 o5: 0000000000000000 sp: 00000000007500f1 ret_pc: 00000000006cc0b4
RPC: <schedule+0xd4/0x960>
l0: 00000000007f8000 l1: 0000000000000000 l2: 0000000000800140 l3: 0000000098e150fe
l4: 000000000074b780 l5: fffff8000134d768 l6: 000000000074b9a0 l7: 0000000000282504
i0: 0000000000752670 i1: 0000000000000000 i2: 0000000000000001 i3: 0000000000001818
i4: 0000000000001418 i5: 0000000000001018 i6: 00000000007501f1 i7: 000000000040f224
I7: <cpu_idle+0x44/0x60>

Is there any hint to start looking for ?

Seb

04/07/06 17:27:27 changed by dyqith

Can you see if the latest patch will help from this ticket http://madwifi.org/ticket/472

04/07/06 17:39:29 changed by seb@frankengul.org

Hum, I will try. I suspect that ooops at kernel insertion is not related to locking.

I'll see. Stay tuned.

04/08/06 22:52:39 changed by seb@frankengul.org

Unfortunately, I was right, same problem same oopps in the hal with the patch applied.

So, It does not heal anything.

Is that driver really supported on the sparc64 architecture.

Seb

04/08/06 23:08:59 changed by seb@frankengul.org

hal.o was compiled with gcc-3.3.2 The driver and kernel was compiled with gcc 4.0.3

Is this a possible explanation for the problem ?

04/23/06 01:44:25 changed by kelmo

  • milestone changed from version 0.9.0 - move to new codebase to version 0.9.x - progressive release candidate phase.

Could well be, hard to say what any problem is with such a blob.

05/09/06 16:46:42 changed by seb@frankengul.org

Sorry but this is a normal ooops from the kernel. Feel free to improve it... :)

Anyway, I got a reply from Sam saying basicaly that the ath_hal.o for sparc64 is nuked due to a bad toolchain. It handles g2 and g3 in a bad way that leads to the crash observed.

The next ath_hal.o should be ok.

05/16/06 03:40:56 changed by dyqith

05/16/06 13:54:24 changed by seb@frankengul.org

I got some link to the bleeding edge madwifi hal.o driver. But still no luck. The two provided (ath_hal-20060425.tgz and ath_hal-20060506.tgz) stil dies in the same way as the 0.9.16.16 from the madwifi svn. I wonder if the gcc used (4.0) is really suitable with the object file (3.3). In the x86 context it is not. In the sparc64, I don't know.

05/27/06 07:29:59 changed by proski

I believe any C code is compiled to the standard ABI by any gcc. The may be corner cases (bitfiled alignment or something) and version specific optimizations in Linux kernel headers, which is why mismatching gcc version prevents module loading. But I think the HAL interface was specifically made minimal and simple to avoid such corner cases.

I suggest trying the current version, which uses the latest HAL. If it doesn't work, please edit ah_osdep.h and replace CONFIG_REGPARM with CONFIG_SPARC64 to enable regparm(0) attribute.

06/14/06 07:31:07 changed by proski

Please ignore what I wrote above.

The kernel forbids the compiler to use registers %g4 and %g5. They are only used in assembly code for special purposes. If I understand correctly, %g5 holds tsk->mm->context, which is referred to by the kernel message. Unfortunately, HAL uses both %g4 and %g5 for its internal needs. This must be the real problem.

The cleanest fix would be to recompile HAL with -ffixed-g4 and -ffixed-g5 (options fixing %g2 and %g3 are fine if they are needed by other OSes).

Perhaps HAL could be patched to use %g2 and %g3 instead of %g4 and %g5, but this would make Sam _very_ angry.

HAL could also be wrapped to save %g4 and %g5 by callers and restore it by callees, but it would require some coding and it could be unreliable, especially if preemption is enabled.

10/19/06 11:35:10 changed by anonymous

Still no luck with last version (r1757). No more ooops but a gradual freeze of the machine. Only way out switch off and on.

How can one fixes this calling convention (hal compiled with fixed-g2 fixed-g3 whereas kernel is compiled with fixed-g4 fixed-g7 and call-g7 ?

10/19/06 11:55:30 changed by Ċ½ilvinas Valinskas <valins@soften.ktu.lt>

Can you try a patch phydisable.2.diff from #914. Just wonder if that helps- I've seen similar problems (on modprobe ath_pci ...) on Xscale/ARM cpus. Might help.

10/19/06 11:58:25 changed by Ċ½ilvinas Valinskas <valins@soften.ktu.lt>

Forgot to add that to trigger the problem is simple as ifconfig ath0 up/ifconfig ath0 down several times. Might be entirely different problem in your case though.

10/20/06 10:15:07 changed by seb@frankengul.org

Indeed, different problem since the machine goes crazy as soon as I modprobe the module, without touching any ath/wifi interface.

05/18/07 13:33:33 changed by Stijn Tintel <stijn at linux dash ipv6 dot be>

Just tested madwifi-hal-0.9.30.13 r2351, but the problem still looks the same.

ultra5:~/madwifi/madwifi-hal-0.9.30.13# modprobe  ath_pci
Killed
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, REGOPS_FUNC)
wlan: 0.8.4.2 (svn r2351)
ath_pci: 0.9.4.5 (svn r2351)
Kernel unaligned access at TPC[629c58] wait_for_completion+0x68/0xc0
Unable to handle kernel NULL pointer dereference
tsk->{mm,active_mm}->context = 00000000000016fe
tsk->{mm,active_mm}->pgd = fffff8001bc7c000
              \|/ ____ \|/
              "@'/ .. \`@"
              /_| \__/ |_\
                 \__U_/
modprobe(4628): Oops [#1]
TSTATE: 0000000080f09603 TPC: 000000000041bb34 TNPC: 000000000041bb38 Y: 00000000    Tainted: P
TPC: <__do_int_store+0x30/0x90>
g0: 5f636f6d706c6574 g1: 0000000000000000 g2: 0000000000000000 g3: 0000000000000002
g4: fffff800110a3700 g5: fffff80019418390 g6: fffff8001ae74000 g7: 0000000000000000
o0: 0000000000000004 o1: 0000000000000008 o2: 0000000000000002 o3: 0000000000000080
o4: 0000000000000080 o5: fffff8001b10df90 sp: fffff8001ae76511 ret_pc: 0000000000421bf0
RPC: <kernel_unaligned_trap+0x4f0/0x548>
l0: 0000000000000080 l1: 0000000000000002 l2: 0000000000000008 l3: 0000000000000062
l4: 0000000000000001 l5: 0000000000000080 l6: 0000000000000004 l7: 000000000000001b
i0: fffff8001ae77000 i1: 0000000000000002 i2: fffff800110a3700 i3: 0000000000000000
i4: 0000000000000000 i5: fffff8001b10e0a0 i6: fffff8001ae765e1 i7: 000000000041ae18
I7: <mem_address_unaligned+0x70/0xa8>
Caller[000000000041ae18]: mem_address_unaligned+0x70/0xa8
Caller[0000000000406688]: do_mna+0x44/0x4c
Caller[0000000000629c14]: wait_for_completion+0x24/0xc0
Caller[0000000000456c40]: call_usermodehelper_keys+0xb0/0xbc
Caller[0000000000456ef0]: request_module+0x104/0x11c
Caller[00000000101c2138]: ieee80211_load_module+0xc/0x3c [wlan]
Caller[00000000101c3aa0]: ieee80211_rate_attach+0x84/0xe8 [wlan]
Caller[00000000101e6844]: ath_attach+0xb14/0x1780 [ath_pci]
Caller[00000000101eb78c]: ath_pci_probe+0x2c8/0x380 [ath_pci]
Caller[0000000000522758]: pci_device_probe+0x5c/0x8c
Caller[0000000000578930]: driver_probe_device+0x54/0xc4
Caller[00000000005789e4]: __driver_attach+0x44/0x68
Caller[0000000000578428]: bus_for_each_dev+0x38/0x6c
Caller[0000000000577f4c]: bus_add_driver+0x70/0x134
Caller[00000000005228bc]: __pci_register_driver+0x40/0x6c
Caller[00000000101f802c]: init_ath_pci+0x34/0x68 [ath_pci]
Caller[0000000000462e7c]: sys_init_module+0x13e4/0x154c
Caller[00000000004069d4]: linux_sparc_syscall32+0x3c/0x40
Caller[00000000000133b4]: 0x133bc
Instruction DUMP: 8530f018  8330f038  8f30f030 <c2aa2000> 8330f028  ceaa2001  8f30f020  c2aa2002  ceaa2003
ath_rate_sample: 1.2 (svn r2351)
Kernel unaligned access at TPC[444f40] try_to_wake_up+0x18/0x110
Unable to handle kernel NULL pointer dereference
tsk->{mm,active_mm}->context = 0000000000001701
tsk->{mm,active_mm}->pgd = fffff8001b2e8000
              \|/ ____ \|/
              "@'/ .. \`@"
              /_| \__/ |_\
                 \__U_/
khelper(4631): Oops [#2]
TSTATE: 0000000080f09606 TPC: 000000000041bc0c TNPC: 000000000041bc10 Y: 00000000    Tainted: P
TPC: <do_int_load+0x78/0xf0>
g0: 616b655f75700000 g1: 0000000000000010 g2: 0000000000000400 g3: 0000000000000002
g4: fffff800110d3680 g5: 0000002e33004700 g6: fffff8001940c000 g7: fffff8001940fac0
o0: fffff8001940fad0 o1: 0000000000000008 o2: 0000000000000004 o3: 0000000000400000
o4: 0000000000000080 o5: 0000000000000080 sp: fffff8001940efd1 ret_pc: 000000000042192c
RPC: <kernel_unaligned_trap+0x22c/0x548>
l0: 0000000000000080 l1: fffff8001940fad0 l2: 0000000000000008 l3: 0000000000000062
l4: 0000000000000000 l5: 0000000000000080 l6: 0000000000000004 l7: 00000000004306c0
i0: fffff8001940fac0 i1: 00000000c45e0000 i2: fffff800110d3680 i3: 000000000000000a
i4: 000000000000000f i5: 0000000000007fff i6: fffff8001940f0a1 i7: 000000000041ae18
I7: <mem_address_unaligned+0x70/0xa8>
Caller[000000000041ae18]: mem_address_unaligned+0x70/0xa8
Caller[0000000000406688]: do_mna+0x44/0x4c
Caller[0000000000444f38]: try_to_wake_up+0x10/0x110
Caller[0000000000443b70]: __wake_up_common+0x24/0x68
Caller[0000000000443c2c]: complete+0x30/0x3c
Caller[0000000000456de4]: wait_for_helper+0x7c/0x84
Caller[0000000000417978]: kernel_thread+0x38/0x48
Caller[0000000000456c8c]: __call_usermodehelper+0x40/0x74
Instruction DUMP: 8538a000  1068001f  c4720000 <c48aa000> c68aa001  8528b038  ce8aa002  8728f030  c28aa003

05/18/07 13:38:16 changed by Stijn Tintel <stijn at linux dash ipv6 dot be>

Forgot to mention this; I have a non-SMP kernel...

ultra5:~# uname -a
Linux ultra5 2.6.18-4-sparc64 #1 Tue May 1 22:30:17 UTC 2007 sparc64 GNU/Linux
ultra5:~# modinfo ath_pci
filename:       /lib/modules/2.6.18-4-sparc64/net/ath_pci.ko
author:         Errno Consulting, Sam Leffler
description:    Support for Atheros 802.11 wireless LAN cards.
version:        svn r2351
license:        Dual BSD/GPL
vermagic:       2.6.18-4-sparc64 mod_unload gcc-4.1